/// <reference types="react" />
import { InputStep, Step } from "code-surfer-types";
import { StylesProvider, CodeSurferTheme, Styled } from "./styles";
import { UnknownError } from "./errors";
import "./default-syntaxes";
declare type ParsedSteps = {
    steps: Step[];
    tokens: string[][];
    types: string[][];
};
declare type CodeSurferProps = {
    steps?: InputStep[];
    parsedSteps?: ParsedSteps;
    progress: number;
    theme?: CodeSurferTheme;
};
declare function CodeSurferWrapper({ theme, ...props }: CodeSurferProps): JSX.Element;
export * from "./themes";
export { CodeSurferWrapper as CodeSurfer, Styled, StylesProvider, UnknownError };
